<?xml version="1.0" encoding="utf-8"?>
<daemon-config>
    <node manager-port="9999">    	
    
        <engine-container>
        	<!-- DB 데이터 수신 -->
            <name>cms_NhsMasterDataRcv</name>
            <command-option>-Xms128m -Xmx128m</command-option>
            <type>kr.fujitsu.com.ffw.daemon.net.server.ActionServerContainer</type>
            <action>biz.cms_NhsMasterDataRcv.NhsMasterDataRcvAction</action>
            <tcp-configuration>
                <accept-time-out>0</accept-time-out>
                <connect-time-out>0</connect-time-out>
                <read-time-out>3000</read-time-out>
            </tcp-configuration>
            <application-port>9061</application-port>
            <container-management>
                <internal-port>14011</internal-port>
                <conditional-management>
                    <value>false</value>
                    <conditional-executor>
                        <type></type>
                        <first-execute-time></first-execute-time>
                        <execute-period></execute-period>
                    </conditional-executor>
                </conditional-management>
            </container-management>
            <socket-filter>biz.comm.COMMHeaderFilter</socket-filter>
            <access-logger>kr.fujitsu.com.ffw.daemon.net.logger.BasicServerAccessLogger</access-logger>
            <thread-pool>
                <init>5</init>
                <max>30</max>
                <min>5</min>
                <idle>5</idle>
            </thread-pool>
            <engine-attribute>
            </engine-attribute>
        </engine-container>
        <!-- 요청 응답 -->
        <engine-container>
            <name>cms_NhsSysInfoRcv</name>
            <command-option>-Xms128m -Xmx128m</command-option>
            <type>kr.fujitsu.com.ffw.daemon.net.server.ActionServerContainer</type>
            <action>biz.cms_NhsSysInfoRcv.NhsSysInfoRcvAction</action>
            <tcp-configuration>
                <accept-time-out>0</accept-time-out>
                <connect-time-out>0</connect-time-out>
                <read-time-out>3000</read-time-out>
            </tcp-configuration>
            <application-port>9021</application-port>
            <container-management>
                <internal-port>14012</internal-port>
                <conditional-management>
                    <value>false</value>
                    <conditional-executor>
                        <type></type>
                        <first-execute-time></first-execute-time>
                        <execute-period></execute-period>
                    </conditional-executor>
                </conditional-management>
            </container-management>
            <socket-filter>biz.comm.COMMHeaderFilter</socket-filter>
            <access-logger>kr.fujitsu.com.ffw.daemon.net.logger.BasicServerAccessLogger</access-logger>
            <thread-pool>
                <init>5</init>
                <max>30</max>
                <min>5</min>
                <idle>5</idle>
            </thread-pool>
            <engine-attribute>
            </engine-attribute>
        </engine-container>
        
        <!-- 파일 압축 처리 -->
        <engine-container>
           
            <name>cms_FileAgent</name>
            <command-option>-Xms128m -Xmx128m</command-option>
            <type>kr.fujitsu.com.ffw.daemon.net.polling.ActionPollingContainer</type>
            <action>biz.cms_FileAgent.FileAgentPollingAction</action>
            <tcp-configuration>
                <accept-time-out>0</accept-time-out>
                <connect-time-out>0</connect-time-out>
                <read-time-out>0</read-time-out>
            </tcp-configuration>
            <application-port></application-port>
            <container-management>
                <internal-port>14021</internal-port>
                <conditional-management>
                    <value>false</value>
                    <conditional-executor>
                        <type></type>
                        <first-execute-time></first-execute-time>
                        <execute-period></execute-period>
                    </conditional-executor>
                </conditional-management>
            </container-management>
            <socket-filter>kr.fujitsu.com.ffw.daemon.net.filter.BasicByteFilter</socket-filter>
            <access-logger>kr.fujitsu.com.ffw.daemon.net.logger.BasicServerAccessLogger</access-logger>
            <thread-pool>
                <init>1</init>
                <max>1</max>
                <min>1</min>
                <idle>1</idle>
            </thread-pool>
            <engine-attribute>
                <attribute>
                    <!-- ActionPollingContainer를 사용하기 위해서는 POLLING_PERIOD가 반드시 있어야 합니다. -->
                    <name>POLLING_PERIOD</name>
                    <value>60000</value><!-- 1000 * 5 즉, 5초, 이 컨테이너는 5초에 한번씩 자동합니다. -->
                </attribute>
                <attribute>
                    <name>ACTION_TIME</name>
                    <!-- <value>2045</value>HHMM 시간 지정시 해당 시분에 지정작업을 수행합니다. 9999 지정시 ACTION_TIME 무시되고  POLLING_PERIOD 주기마다 무조건 호출됨 -->
                    <value>1805</value>
                </attribute>
            </engine-attribute>
        </engine-container> 
   </node>

    <model>
        <record-fetch restrict-level="none" max-count="100" />
        <character-set>
			      <input>UTF-8,UTF-8</input>
			      <output>UTF-8,UTF-8</output>
        </character-set>
        <database name="NHS" >
            <dbcp>
            	<default-auto-commit>false</default-auto-commit>
            	<default-transaction-isolation>
            	    TRANSACTION_READ_COMMITED
            	</default-transaction-isolation>
            	<driver-class>
            	    oracle.jdbc.driver.OracleDriver
            	</driver-class>
            	<initial-size>1</initial-size>
            	<log-abandoned>true</log-abandoned>
            	<max-active>50</max-active>
            	<max-idle>45</max-idle>
            	<max-wait>10000</max-wait>
            	<min-idle>10</min-idle>
            	<url>jdbc:oracle:thin:@10.0.40.95:1521:PCPOS</url>
            	<user>nexths</user>
            	<password>NextH$123</password>
            	<remove-abandoned>true</remove-abandoned>
            	<remove-abandoned-timeout>0</remove-abandoned-timeout>
            	<validation-query>SELECT SYSDATE FROM DUAL</validation-query>
            </dbcp>
        </database>
        <database name="PCKR" >
            <dbcp>
            	<default-auto-commit>false</default-auto-commit>
            	<default-transaction-isolation>
            	    TRANSACTION_READ_COMMITED
            	</default-transaction-isolation>
            	<driver-class>
            	    oracle.jdbc.driver.OracleDriver
            	</driver-class>
            	<initial-size>1</initial-size>
            	<log-abandoned>true</log-abandoned>
            	<max-active>50</max-active>
            	<max-idle>45</max-idle>
            	<max-wait>10000</max-wait>
            	<min-idle>10</min-idle>
            	<url>jdbc:oracle:thin:@10.0.50.147:1521:spcdev01</url>
            	<user>spp</user>
            	<password>spp</password>
            	<remove-abandoned>true</remove-abandoned>
            	<remove-abandoned-timeout>0</remove-abandoned-timeout>
            	<validation-query>SELECT SYSDATE FROM DUAL</validation-query>
            </dbcp>
        </database>  
        <database name="BRKR" >
            <dbcp>
            	<default-auto-commit>false</default-auto-commit>
            	<default-transaction-isolation>
            	    TRANSACTION_READ_COMMITED
            	</default-transaction-isolation>
            	<driver-class>
            	    oracle.jdbc.driver.OracleDriver
            	</driver-class>
            	<initial-size>1</initial-size>
            	<log-abandoned>true</log-abandoned>
            	<max-active>50</max-active>
            	<max-idle>45</max-idle>
            	<max-wait>10000</max-wait>
            	<min-idle>10</min-idle>
            	<url>jdbc:oracle:thin:@10.0.50.147:1521:spcdev01</url>
            	<user>sbp</user>
            	<password>sbp</password>
            	<remove-abandoned>true</remove-abandoned>
            	<remove-abandoned-timeout>0</remove-abandoned-timeout>
            	<validation-query>SELECT SYSDATE FROM DUAL</validation-query>
            </dbcp>
        </database>    
       
        
    </model>
	  <!-- current : ./  sms-1.0.1/bin -->
    <log-configuration>
        <appender name="NHSMASTERDATARCV" class="kr.fujitsu.com.ffw.util.DatedFileAppender">  
            <param name="Directory" value="./../../../logs/sms"/>
            <param name="Prefix" value="nhsmasterdatarcv"/>
            <param name="Suffix" value=".log"/>
            <layout class="org.apache.log4j.PatternLayout">
                <param name="ConversionPattern" value="[%d{yyyyMMdd HH:mm:ss}] [%-5p] %l - %m%n"/>
            </layout>
        </appender>
        
        <appender name="NHSSYSINFORCV" class="kr.fujitsu.com.ffw.util.DatedFileAppender">  
            <param name="Directory" value="./../../../logs/sms"/>
            <param name="Prefix" value="nhssysinforcv"/>
            <param name="Suffix" value=".log"/>
            <layout class="org.apache.log4j.PatternLayout">
                <param name="ConversionPattern" value="[%d{yyyyMMdd HH:mm:ss}] [%-5p] %l - %m%n"/>
            </layout>
        </appender>
        
        <appender name="JSCHFTP" class="kr.fujitsu.com.ffw.util.DatedFileAppender">  
            <param name="Directory" value="./../../../logs/sms"/>
            <param name="Prefix" value="jschftpmanager"/>
            <param name="Suffix" value=".log"/>
            <layout class="org.apache.log4j.PatternLayout">
                <param name="ConversionPattern" value="[%d{yyyyMMdd HH:mm:ss}] [%-5p] %l - %m%n"/>
            </layout>
        </appender>
        
        
        <appender name="FILEAGENT" class="kr.fujitsu.com.ffw.util.DatedFileAppender">  
            <param name="Directory" value="./../../../logs/sms"/>
            <param name="Prefix" value="fileagent"/>
            <param name="Suffix" value=".log"/>
            <layout class="org.apache.log4j.PatternLayout">
                <param name="ConversionPattern" value="[%d{yyyyMMdd HH:mm:ss}] [%-5p] %l - %m%n"/>
            </layout>
        </appender>
       	     
        <logger name="biz.cms_NhsMasterDataRcv.NhsMasterDataRcvAction">
            <level value="DEBUG"/>
            <appender-ref ref="NHSMASTERDATARCV"/>
        </logger>
        <logger name="biz.cms_NhsSysInfoRcv.NhsSysInfoRcvAction">
            <level value="DEBUG"/>
            <appender-ref ref="NHSSYSINFORCV"/>
        </logger>
        <logger name="biz.cms_FileAgent.FileAgentPollingAction">
            <level value="DEBUG"/>
            <appender-ref ref="FILEAGENT"/>
        </logger>
        
        <logger name="biz.comm.JSCHFTPManager">
	        	<level value="DEBUG"/>
	        	<appender-ref ref="JSCHFTP"/>
	    </logger>
        
        
     	
    </log-configuration>

    <resource-repository>
    
        <resource type="property" src="./xml/stsys-property.xml" />
       <resource type="property" src="./xml/communication-property.xml" />
       <resource type="sql" src="./xml/nhsmaster-sql.xml" />
       <resource type="sql" src="./xml/nhssysinq-sql.xml" />
       <resource type="sql" src="./xml/pos-sql.xml" />
       <resource type="telegram" src="./xml/nhsmaster-form.xml" />
        
      <!--   <resource type="property" src="D:\project\dd\sms-1.0.1\xml\stsys-property.xml" />
        <resource type="property" src="D:\project\dd\sms-1.0.1\xml\communication-property.xml" />
        <resource type="sql" src="D:\project\dd\sms-1.0.1\xml\nhsmaster-sql.xml" />
        <resource type="sql" src="D:\project\dd\sms-1.0.1\xml\nhssysinq-sql.xml" />
        <resource type="sql" src="D:\project\dd\sms-1.0.1\xml\pos-sql.xml" />
        <resource type="telegram" src="D:\project\dd\sms-1.0.1\xml\nhsmaster-form.xml" /> -->
        
     </resource-repository>

</daemon-config>